<script type="text/javascript">
    $(document).ready(function() {

        toggle_endpoint_fields = function() {
            var endpoint = $(".endpoint").val();
            if (endpoint == 'local') {
                $(".fields.remote").hide();
                $(".fields.local").show();
            } else {
                $(".fields.remote").show();
                $(".fields.local").hide();
            }
        }
        $(".endpoint").bind('change', toggle_endpoint_fields);
        toggle_endpoint_fields();

        toggle_run_type_fields = function() {
            var run_type = $(".runtype").val();
            if (run_type == 'times') {
                $(".list_items").hide();
                $(".times_items").show();
            } else {
                $(".list_items").show();
                $(".times_items").hide();
            }
        }
        $(".runtype").bind('change', toggle_run_type_fields);
        toggle_run_type_fields();

    });
</script>

<fieldset>
    
    <div class="control-group">
        <label class="control-label required"><?php echo _('Looping Type'); ?></label>
        <div class="controls">
            <select name="run_type" class="span4 runtype">
                <option value="times" <?php echo reactor_option_selected('run_type', 'times', $defaults) ?>><?php echo _('Run x amount of times'); ?></option>
                <option value="list" <?php echo reactor_option_selected('run_type', 'list', $defaults) ?>><?php echo _('Run for each item in a list'); ?></option>
            </select>
            <?php echo form_error('run_type') ?>
            <span class="help-inline">
                <?php echo question_tooltip('Either run the event chain x amount of times or run it for each item in a list.'); ?>
            </span>
        </div>
    </div>

    <div class="list_items hide">

        <div class="control-group">
            <label class="control-label required"><?php echo _('List of Items'); ?></label>
            <div class="controls">
                <?php echo form_input(array(
                    'name' => 'item_list',
                    'class' => 'span4',
                    'value' => set_value('item_list', @$defaults['item_list']))); ?>
                <?php echo form_error('item_list') ?>
                <span class="help-inline">
                    <?php echo question_tooltip('Can be a delimited string or a context variable.'); ?>
                </span>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label required"><?php echo _('List Delimiter'); ?></label>
            <div class="controls">
                <?php echo form_input(array(
                    'name' => 'item_delimiter',
                    'class' => 'span1',
                    'value' => set_value('item_delimiter', @$defaults['item_delimiter']))); ?>
                <?php echo form_error('item_delimiter') ?>
                <span class="help-inline">
                    <?php echo question_tooltip('The delimiter to use to break the list into items. The , is a common delimiter.'); ?>
                </span>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label required"><?php echo _('Item Context Name'); ?></label>
            <div class="controls">
                <?php echo form_input(array(
                    'name' => 'item_context_name',
                    'class' => 'span2',
                    'value' => set_value('item_context_name', @$defaults['item_context_name']))); ?>
                <?php echo form_error('item_context_name') ?>
                <span class="help-inline">
                    <?php echo question_tooltip("The name of the item's context variable in the chain to be ran."); ?>
                </span>
            </div>
        </div>

    </div>

    <div class="times_items">

        <div class="control-group">
            <label class="control-label required"><?php echo _('Times to Run'); ?></label>
            <div class="controls">
                <?php echo form_input(array(
                    'name' => 'run_times',
                    'class' => 'span1',
                    'value' => set_value('run_times', @$defaults['run_times']))); ?>
                <?php echo form_error('run_times') ?>
                <span class="help-inline">
                    <?php echo question_tooltip('The amount of times to run the event chain.'); ?>
                </span>
            </div>
        </div>

    </div>

</fieldset>

<fieldset>

    <div class="control-group">
        <label class="control-label required"><?php echo _('Event Chain Endpoint'); ?></label>
        <div class="controls">
            <select name="run_endpoint" class="span4 endpoint">
                <option value="local" <?php echo reactor_option_selected('run_endpoint', 'local', $defaults) ?>><?php echo _('Local'); ?></option>
                <option value="remote" <?php echo reactor_option_selected('run_endpoint', 'remote', $defaults) ?>><?php echo _('Remote'); ?></option>
            </select>
            <?php echo form_error('run_endpoint') ?>
            <span class="help-inline">
                <?php echo question_tooltip('The location of the event chain you want to run. Remote would be on another Nagios Reactor server.'); ?>
            </span>
        </div>
    </div>

    <div class="fields local hide">

        <div class="control-group">
            <label class="control-label required"><?php echo _('Chain Identifier'); ?></label>
            <div class="controls">
                <?php echo form_input(array(
                    'name' => 'identifier',
                    'class' => 'span4 chain-typeahead',
                    'data-provider' => 'typeahead',
                    'value' => set_value('identifier', @$defaults['identifier']))); ?>
                <?php echo form_error('identifier') ?>
                <span class="help-inline">
                <?php echo question_tooltip('The identifier of the chain to be executed which can be found under the General tab. For example loop2-1e7d.'); ?>
            </span>
            </div>
        </div>

        <div class="control-group">
            <label class="control-label required"><?php echo _('Task Type'); ?></label>
            <div class="controls">
                <select name="task_type" class="span4">
                    <option value="sync" <?php echo reactor_option_selected('task_type', 'sync', $defaults) ?>><?php echo _('Synchronous'); ?></option>
                    <option value="async" <?php echo reactor_option_selected('task_type', 'async', $defaults) ?>><?php echo _('Asynchronous'); ?></option>
                </select>
                <?php echo form_error('task_type') ?>
				<span class="help-inline">
                <?php echo question_tooltip('Running synchronously will wait for the chain to finish running before continuing, running asynchronously the chain will send the chain to be run by another worker and contine on without waiting for it to complete. Note: at least two Gearman workers are required for synchronous tasks.'); ?>
            </span>            
            </div>
        </div>

    </div>

    <div class="fields remote hide">

        <div class="control-group">
            <label class="control-label required"><?php echo _('Chain URL'); ?></label>
            <div class="controls">
                <?php echo form_input(array(
                    'name' => 'run_url',
                    'class' => 'span4',
                    'value' => set_value('run_url', @$defaults['run_url']))); ?>
                <?php echo form_error('run_url') ?>
				<span class="help-inline">
                <?php echo question_tooltip('E.g. http://example.com/index.php/api/eventchain/4/run.'); ?>
            </span>            
            </div>
        </div>

        <div class="control-group">
            <label class="control-label required"><?php echo _('API Key'); ?></label>
            <div class="controls">
                <?php echo form_input(array(
                    'name' => 'api_key',
                    'class' => 'span4',
                    'value' => set_value('api_key', @$defaults['api_key']))); ?>
                <?php echo form_error('api_key') ?>
            </div>
        </div>

    </div>

    <div class="control-group">
        <label class="control-label"><?php echo _('Extra Context Variables'); ?></label>
        <div class="controls">
            <?php echo form_textarea(array(
                'name' => 'run_with_context',
                'rows' => 4,
                'cols' => 200,
                'class' => 'span4',
                'value' => set_value('run_with_context', (array_key_exists('run_with_context', $defaults)) ? $defaults['run_with_context'] : FALSE))); ?>
            <?php echo form_error('run_with_context') ?>
			<span class="help-inline">
                <?php echo question_tooltip('Extra context variables you would like to pass to event chain. Separate var/value pairs with a colon, e.g.: <b>var:value</b>.'); ?>
        </span>        
        </div>
    </div>

</fieldset>
